Difference between revisions of "Verified Package Dependencies"

From SambaWiki
Jump to: navigation, search
m (Protected "Template:Verified Package Dependencies": These are links that administrators will want to download and run, perhaps without question ([Edit=Allow only administrators] (indefinite) [Move=Allow only administrators] (indefinite)) [cascading])
(improve wiki links)
Line 1: Line 1:
 
==Verified Package Dependencies==
 
==Verified Package Dependencies==
  
These links are to <code>https://git.samba.org</code> and are to our tests package installation scripts.  The files are are contained in Samba's official git repository and are subject to Samba's [[code review]] and [[Samba_CI_on_gitlab|testing].  
+
These links are to <code>https://git.samba.org</code> and are to our tests package installation scripts.  The files are are contained in Samba's official git repository and are subject to Samba's [[Code Review]] and [[Samba_CI_on_gitlab|testing]].  
  
 
Naturally, you should still check them before running them as root.  They may contain more packages than you strictly need, because some items required by Samba's [[Samba_CI_on_gitlab|GitLab CI]] and autobuild tooling are not needed in production.
 
Naturally, you should still check them before running them as root.  They may contain more packages than you strictly need, because some items required by Samba's [[Samba_CI_on_gitlab|GitLab CI]] and autobuild tooling are not needed in production.

Revision as of 09:22, 28 May 2019

Verified Package Dependencies

These links are to https://git.samba.org and are to our tests package installation scripts. The files are are contained in Samba's official git repository and are subject to Samba's Code Review and testing.

Naturally, you should still check them before running them as root. They may contain more packages than you strictly need, because some items required by Samba's GitLab CI and autobuild tooling are not needed in production.

Distribution Samba master
Debian 9 [1]
Ubuntu 16.04 [2]
Ubuntu 18.04 [3]
OpenSuSE 15.0 [4]
Fedora 29 [5]
CentOS 7 [6]